Bug 601133 - TPB off-screen after removing display
TPB off-screen after removing display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tpb (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 06:06 EDT by Robert de Rooy
Modified: 2011-06-27 13:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:42:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert de Rooy 2010-06-07 06:06:38 EDT
Description of problem:
ThinkPad T60 with Intel 945GM

When I boot with an external monitor (or hotplug one), then tpb will go to the secondary (external) display for OSD, for a default extended desktop config.

But when the secondary display is removed, tpb no longer displays OSD. Presumably it is still trying to put it onto the removed external display.

Version-Release number of selected component (if applicable):
tpb-0.6.4-12.fc12.x86_64

How reproducible:
Each time you remove the secondary display in a dual-display (extended desktop) setup.

Steps to Reproduce:
1. Boot with secondary display (or hotplug one), causing extended desktop
2. Remove secondary display
3. Press Fn-F7 to refresh the display settings (or simply run xrandr)
4. Press a button such as volume, and there will not be an OSD from tpb any more
  
Actual results:
No tpb OSD

Expected results:
tpb OSD

Additional info:
Comment 1 Kevin Fenzi 2010-06-07 11:51:16 EDT
Why are you even using tpb? (I keep meaning to retire it). 

Your desktop should handle volume and other controls, including any OSD. 
What desktop env are you using?

If you remove the tpb package does it work as expected?
Comment 2 Robert de Rooy 2010-06-07 13:56:51 EDT
With a standard Fedora 13 install (Gnome desktop) without TPB;

ThinkPad T60 with i945GM
- standard OSD for brightness works
- standard OSD for Fn-F8 (Touchpad on/off) works
- OSD for volume or anything else does not

ThinkPad T41 with RV250
- No OSD for anything

ThinkPad X40 with i855GM
- No OSD for anything

In all cases (correct) volume information is available (starting with the 2.6.33 kernel) from ALSA as a read-only "ThinkPad Console Audio Control" mixer device.

On the T60, brightness is exported via ACPI but on the T41 and X40 it is slightly different.

T60:
/sys/devices/virtual/backlight/acpi_video0/

T41/X40
/sys/devices/virtual/backlight/thinkpad_screen/

$ fgrep "" /sys/devices/virtual/backlight/thinkpad_screen/*
/sys/devices/virtual/backlight/thinkpad_screen/actual_brightness:7
/sys/devices/virtual/backlight/thinkpad_screen/bl_power:0
/sys/devices/virtual/backlight/thinkpad_screen/brightness:7
/sys/devices/virtual/backlight/thinkpad_screen/max_brightness:7
Comment 3 Robert de Rooy 2010-06-07 14:05:42 EDT
FYI

On the thinkpad-acpi mailing list I had a discussion back in January on the volume issue with the thinkpad-acpi developer and the pulseaudio developer. See here for the thread (look for the posts titled "thinkpad_acpi alsa sub-driver with 2.6.33-rc3-git2")

http://sourceforge.net/mailarchive/forum.php?forum_name=ibm-acpi-devel&max_rows=25&style=ultimate&viewmonth=201001
Comment 4 Kevin Fenzi 2010-07-18 16:46:34 EDT
I've orphaned this package, hopefully whoever takes it over can sort this out.
Comment 5 Bug Zapper 2011-06-02 07:45:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 13:42:16 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.